Bug 146231 - [feature request] [patch] www/firefox: use port libs
[feature request] [patch] www/firefox: use port libs
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gecko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-02 11:20 UTC by swell.k
Modified: 2012-07-27 14:24 UTC (History)
0 users

See Also:


Attachments
a.diff (1.50 KB, patch)
2010-05-02 11:20 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-05-02 11:20:09 UTC
I'd like that there is an option to use png, jpeg, nss, sqlite3, et
al. dynamically linked from system. These libs are usually newer than
bundled with firefox.

Fix: USE_MOZILLA doesn't like being under bsd.port.pre.mk section. So,
smth like this, but done less crudely.
Comment 1 Edwin Groothuis freebsd_committer 2010-05-02 11:20:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gecko

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 swell.k 2010-06-14 21:36:29 UTC
This should make more sense.

- move sqlite to bsd.gecko.mk [1]
- add bz2 and event [1]
- disable event, it's currently only useful for mercurial snapshots
- sort USE_MOZILLA

[1] may require other users of bsd.gecko.mk to fix their dependencies
--- a.diff begins here ---
Index: Mk/bsd.gecko.mk
===================================================================
RCS file: /a/.cvsup/ports/Mk/bsd.gecko.mk,v
retrieving revision 1.20
diff -u -p -r1.20 bsd.gecko.mk
--- Mk/bsd.gecko.mk	28 Mar 2010 06:30:26 -0000	1.20
+++ Mk/bsd.gecko.mk	14 Jun 2010 20:32:21 -0000
@@ -312,7 +312,9 @@ _${option}=	${TRUE}
 .endfor
 
 # Standard depends
-_ALL_DEPENDS=	cairo dbm jpeg nspr nss png xft zip
+_ALL_DEPENDS=	bz2 cairo dbm event jpeg nspr nss png sqlite xft zip
+
+bz2_MOZ_OPTIONS=	--with-system-bz2=/usr
 
 cairo_LIB_DEPENDS=	cairo.2:${PORTSDIR}/graphics/cairo
 cairo_MOZ_OPTIONS=	--enable-system-cairo
@@ -320,6 +322,9 @@ cairo_EXTRACT_AFTER_ARGS=	--exclude mozi
 
 dbm_EXTRACT_AFTER_ARGS=		--exclude mozilla/dbm
 
+event_LIB_DEPENDS=	event-1.[0-9].3:${PORTSDIR}/devel/libevent
+event_MOZ_OPTIONS=	--with-system-libevent=${LOCALBASE}
+
 jpeg_LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg
 jpeg_MOZ_OPTIONS=	--with-system-jpeg=${LOCALBASE}
 jpeg_EXTRACT_AFTER_ARGS=	--exclude mozilla/jpeg
@@ -333,11 +338,14 @@ nss_MOZ_OPTIONS=	--with-system-nss
 nss_CPPFLAGS+=		-I${LOCALBASE}/include/nss -I${LOCALBASE}/include/nss/nss
 nss_LDFLAGS+=		-L${LOCALBASE}/lib/nss -Wl,-rpath,${PREFIX}/lib/${MOZ_RPATH}
 
-
 png_LIB_DEPENDS=	png.6:${PORTSDIR}/graphics/png
 png_MOZ_OPTIONS=	--with-system-png=${LOCALBASE}
 
+sqlite_USE_SQLITE=	yes
+sqlite_MOZ_OPTIONS=	--enable-system-sqlite
+
 xft_LIB_DEPENDS=	Xft.2:${PORTSDIR}/x11-fonts/libXft
+
 zip_DEPENDS=		zip:${PORTSDIR}/archivers/zip
 
 .for use in ${USE_MOZILLA}
Index: www/firefox/Makefile
===================================================================
RCS file: /a/.cvsup/ports/www/firefox/Makefile,v
retrieving revision 1.223
diff -u -p -r1.223 Makefile
--- www/firefox/Makefile	6 Apr 2010 08:14:01 -0000	1.223
+++ www/firefox/Makefile	14 Jun 2010 20:11:35 -0000
@@ -21,7 +21,11 @@ BUILD_DEPENDS=	nspr>=4.8:${PORTSDIR}/dev
 USE_AUTOTOOLS=	autoconf:213
 USE_GECKO=	gecko
 MOZ_PKGCONFIG_FILES=	# empty
-USE_MOZILLA=	-png -nss -dbm -jpeg -xft
+.if defined(WITH_PORT_LIBS)
+USE_MOZILLA=	-bz2 -dbm -event -jpeg -nss -png -sqlite -xft
+.else
+USE_MOZILLA=	-dbm -event -xft
+.endif
 MOZILLA_NAME=	Firefox${MOZILLA_SUFX}
 MOZILLA_SUFX=	3
 MOZILLA=	${PORTNAME}${MOZILLA_SUFX}
Index: www/firefox/files/patch-modules-libpr0n-encoders-png-nsPNGEncoder.cpp
===================================================================
RCS file: www/firefox/files/patch-modules-libpr0n-encoders-png-nsPNGEncoder.cpp
diff -N www/firefox/files/patch-modules-libpr0n-encoders-png-nsPNGEncoder.cpp
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ www/firefox/files/patch-modules-libpr0n-encoders-png-nsPNGEncoder.cpp	25 May 2010 23:09:15 -0000
@@ -0,0 +1,11 @@
+--- modules/libpr0n/encoders/png/nsPNGEncoder.cpp~
++++ modules/libpr0n/encoders/png/nsPNGEncoder.cpp
+@@ -135,7 +135,7 @@ NS_IMETHODIMP nsPNGEncoder::StartImageEn
+ 
+   // initialize
+   mPNG = png_create_write_struct(PNG_LIBPNG_VER_STRING,
+-                                 png_voidp_NULL,
++                                 NULL,
+                                  ErrorCallback,
+                                  ErrorCallback);
+   if (! mPNG)
--- a.diff ends here ---
Comment 3 swell.k 2010-06-14 21:47:34 UTC
Aww, it wants LIB_DEPENDS and doesn't understand USE_SQLITE.
--- b.diff begins here ---
diff --git a/Mk/bsd.gecko.mk b/Mk/bsd.gecko.mk
index 80172de..f1707f9 100644
--- a/Mk/bsd.gecko.mk
+++ b/Mk/bsd.gecko.mk
@@ -341,7 +341,7 @@ nss_LDFLAGS+=		-L${LOCALBASE}/lib/nss -Wl,-rpath,${PREFIX}/lib/${MOZ_RPATH}
 png_LIB_DEPENDS=	png.6:${PORTSDIR}/graphics/png
 png_MOZ_OPTIONS=	--with-system-png=${LOCALBASE}
 
-sqlite_USE_SQLITE=	yes
+sqlite_LIB_DEPENDS=	sqlite3.8:${PORTSDIR}/databases/sqlite3
 sqlite_MOZ_OPTIONS=	--enable-system-sqlite
 
 xft_LIB_DEPENDS=	Xft.2:${PORTSDIR}/x11-fonts/libXft
--- b.diff ends here ---
Comment 4 swell.k 2010-06-15 18:28:09 UTC
This line in www/firefox

  .if defined(WITH_PORT_LIBS)

should be

  .if !defined(WITH_PORT_LIBS)
Comment 5 swell.k 2010-08-06 11:43:41 UTC
I've removed bz2. It's not used outside updater.

Also note, www/firefox-devel requires system sqlite be compiled with
thread_safe, fts3, secure_delete, unlock_notify. Missing knobs are in
ports/147841.

BTW, adding `-event -sqlite' to USE_MOZILLA should restore current
behaviour in other gecko ports, e.g.

  fgrep -l USE_MOZILLA */*/Makefile |
  fgrep -v -e firefox/ -e firefox-devel/ -e libxul/ |
  xargs sed -i '' 's/USE_MOZILLA.*/& -event -sqlite/'

--- a.diff begins here ---
The following diff is against gecko@ team svn repo

  https://trillian.chruetertee.ch/svn/freebsd-gecko/branches/experimental/

Index: Mk/bsd.gecko.mk
===================================================================
--- Mk/bsd.gecko.mk	(revision 372)
+++ Mk/bsd.gecko.mk	(working copy)
@@ -419,7 +419,7 @@
 .endfor
 
 # Standard depends
-_ALL_DEPENDS=	cairo dbm jpeg nspr nss png xft zip
+_ALL_DEPENDS=	cairo dbm event jpeg nspr nss png sqlite xft zip
 
 cairo_LIB_DEPENDS=	cairo.2:${PORTSDIR}/graphics/cairo
 cairo_MOZ_OPTIONS=	--enable-system-cairo
@@ -427,6 +427,9 @@
 
 dbm_EXTRACT_AFTER_ARGS=		--exclude mozilla/dbm
 
+event_LIB_DEPENDS=	event-1.[0-9].4:${PORTSDIR}/devel/libevent
+event_MOZ_OPTIONS=	--with-system-libevent=${LOCALBASE}
+
 jpeg_LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg
 jpeg_MOZ_OPTIONS=	--with-system-jpeg=${LOCALBASE}
 jpeg_EXTRACT_AFTER_ARGS=	--exclude mozilla/jpeg
@@ -440,11 +443,14 @@
 nss_CPPFLAGS+=		-I${LOCALBASE}/include/nss -I${LOCALBASE}/include/nss/nss
 nss_LDFLAGS+=		-L${LOCALBASE}/lib/nss -Wl,-rpath,${PREFIX}/lib/${MOZ_RPATH}
 
-
 png_LIB_DEPENDS=	png.6:${PORTSDIR}/graphics/png
 png_MOZ_OPTIONS=	--with-system-png=${LOCALBASE}
 
+sqlite_LIB_DEPENDS=	sqlite3.8:${PORTSDIR}/databases/sqlite3
+sqlite_MOZ_OPTIONS=	--enable-system-sqlite
+
 xft_LIB_DEPENDS=	Xft.2:${PORTSDIR}/x11-fonts/libXft
+
 zip_DEPENDS=		zip:${PORTSDIR}/archivers/zip
 
 .for use in ${USE_MOZILLA}
Index: www/firefox/Makefile
===================================================================
--- www/firefox/Makefile	(revision 372)
+++ www/firefox/Makefile	(working copy)
@@ -21,7 +21,11 @@
 USE_AUTOTOOLS=	autoconf:213
 USE_GECKO=	gecko
 MOZ_PKGCONFIG_FILES=	# empty
-USE_MOZILLA=	-png -nss -dbm -jpeg -xft
+.if !defined(WITH_PORT_LIBS)
+USE_MOZILLA=	-dbm -event -jpeg -nss -png -sqlite -xft
+.else
+USE_MOZILLA=	-dbm -event -xft
+.endif
 MOZILLA_NAME=	Firefox${MOZILLA_SUFX}
 MOZILLA_SUFX=	3
 MOZILLA=	${PORTNAME}${MOZILLA_SUFX}
@@ -99,6 +103,10 @@
 		s|echo aout|echo elf|g ; \
 		s|/usr/X11R6|${LOCALBASE}|g' \
 		${WRKSRC}/js/src/configure
+	@${REINPLACE_CMD} -e 's|@NSS_CFLAGS@|& &/nss|g' \
+		${MOZSRC}/config/autoconf.mk.in
+	@${REINPLACE_CMD} -e 's/png_voidp_NULL/NULL/g' \
+		${MOZSRC}/modules/libpr0n/encoders/png/nsPNGEncoder.cpp
 
 pre-configure:
 	(cd ${WRKSRC} && ${AUTOCONF})
Index: www/firefox-devel/Makefile
===================================================================
--- www/firefox-devel/Makefile	(revision 372)
+++ www/firefox-devel/Makefile	(working copy)
@@ -22,7 +22,11 @@
 LATEST_LINK=	firefox-devel
 USE_GECKO=	gecko
 MOZ_PKGCONFIG_FILES=	# empty
-USE_MOZILLA=	-png -nss -dbm -jpeg -xft
+.if !defined(WITH_PORT_LIBS)
+USE_MOZILLA=	-dbm -event -jpeg -nss -png -sqlite -xft
+.else
+USE_MOZILLA=	-dbm -xft
+.endif
 MOZ_TOOLKIT=	cairo-gtk2
 GECKO_PLIST_PRE_DIRS=	lib/${MOZILLA}/bin lib/${MOZILLA}/idl \
 			lib/${MOZILLA}/include lib/${MOZILLA}/lib
@@ -107,6 +111,10 @@
 		s|echo aout|echo elf|g ; \
 		s|/usr/X11R6|${LOCALBASE}|g' \
 		${WRKSRC}/js/src/configure
+	@${REINPLACE_CMD} -e 's|@NSS_CFLAGS@|& &/nss|g' \
+		${MOZSRC}/config/autoconf.mk.in
+	@${REINPLACE_CMD} -e 's/png_voidp_NULL/NULL/g' \
+		${MOZSRC}/modules/libpr0n/encoders/png/nsPNGEncoder.cpp
 
 pre-configure:
 	(cd ${WRKSRC} && ${AUTOCONF})
Index: www/libxul/Makefile
===================================================================
--- www/libxul/Makefile	(revision 372)
+++ www/libxul/Makefile	(working copy)
@@ -43,7 +43,12 @@
 USE_GECKO=	gecko
 MOZILLA_EXEC_NAME=xulrunner
 MOZ_TOOLKIT=	cairo-gtk2
-USE_MOZILLA=	-png -nss -dbm -jpeg
+.if !defined(WITH_PORT_LIBS)
+USE_MOZILLA=	-dbm -event -jpeg -nss -png -sqlite
+.else
+USE_MOZILLA=	-dbm -event
+.endif
+
 MOZ_PKGCONFIG_FILES=	libxul-embedding libxul mozilla-gtkmozembed-embedding \
 		mozilla-gtkmozembed mozilla-js mozilla-nss mozilla-plugin
 
@@ -77,6 +82,10 @@
 		s|echo aout|echo elf|g ; \
 		s|/usr/X11R6|${LOCALBASE}|g' \
 		${WRKSRC}/js/src/configure
+	@${REINPLACE_CMD} -e 's|@NSS_CFLAGS@|& &/nss|g' \
+		${MOZSRC}/config/autoconf.mk.in
+	@${REINPLACE_CMD} -e 's/png_voidp_NULL/NULL/g' \
+		${MOZSRC}/modules/libpr0n/encoders/png/nsPNGEncoder.cpp
 
 pre-configure:
 	(cd ${WRKSRC}/js/src/ && ${AUTOCONF})
--- a.diff ends here ---
Comment 6 dfilter freebsd_committer 2012-07-26 22:50:17 UTC
Author: flo
Date: Thu Jul 26 21:49:58 2012
New Revision: 301582
URL: http://svn.freebsd.org/changeset/ports/301582

Log:
  - update firefox/thunderbird ESR versions to 10.0.6
  - update firefox 14.0.1
  - update thunderbird to 14.0
  - update seamonkey to 2.11
  - switch to new options framework
  - add experimental rendering via cairo-qt (QT4 option)
  - add audio backend options (ALSA and PulseAudio)
  - rename SMB option to GNOMEVFS2
  - turn on LOGGING by default (like upstream linux builds)
  - improve about:memory output
  - unbreak PGO
  - use system libs [1]
  - switch to libevent2 [2]
  - fix conflict with devel/libunwind and base gcc [3]
  - unbreak clang/libc++ build [4]
  - unbreak build with base gcc on >= 9.x [5]
  - use common IPC code with other BSDs[6]
  - and *miscellaneous improvements*
  
  PR:		ports/146231 [1], ports/161421 [2]
  		ports/150631, ports/168369, ports/168637, ports/168793, ports/168978 [3]
  		ports/163454, ports/164905, ports/169231 [4]
         		ports/169389, ports/169479 [5]
  Obtained from:	pkgsrc via bugzilla #753046 [6]
  In collaboration with:	Jan Beich (who did the major part of this work and
  			deserves a special thank you!)

Added:
  head/mail/thunderbird-esr/files/patch-alsapulse   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-bug685258   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-bug741737   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-bug753046   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-ipc-chromium-src-base-time_posix.cc   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-ldap-sdks-c-sdk-ldap-libraries-libssldap-Makefile.in   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mail-app-nsMailApp.cpp   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mailnews-addrbook-src-nsDirPrefs.cpp   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mailnews-compose-src-nsSmtpProtocol.cpp   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-dom-plugins-ipc-PluginMessageUtils.cpp   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-gfx-ycbcr-Makefile.in   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-ipc-chromium-Makefile.in   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-ipc-chromium-src-base-message_pump_libevent.cc   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-js-src-methodjit-MethodJIT.cpp   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-media-libsydneyaudio-src-sydney_audio_oss.c   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-memory-mozalloc-mozalloc.cpp   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-security-nss-lib-Makefile   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-toolkit-xre-nsAppRunner.cpp   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-widget-src-qt-nsNativeThemeQt.cpp   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-widget-src-qt-nsSound.cpp   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-widget-src-qt-nsWindow.cpp   (contents, props changed)
  head/mail/thunderbird/files/patch-alsapulse   (contents, props changed)
  head/mail/thunderbird/files/patch-bug685258   (contents, props changed)
  head/mail/thunderbird/files/patch-bug753046   (contents, props changed)
  head/mail/thunderbird/files/patch-ldap-sdks-c-sdk-ldap-libraries-libssldap-Makefile.in   (contents, props changed)
  head/mail/thunderbird/files/patch-mail-app-nsMailApp.cpp   (contents, props changed)
  head/mail/thunderbird/files/patch-mail-components-Makefile.in   (contents, props changed)
  head/mail/thunderbird/files/patch-mail-components-build-Makefile.in   (contents, props changed)
  head/mail/thunderbird/files/patch-mailnews-addrbook-src-nsDirPrefs.cpp   (contents, props changed)
  head/mail/thunderbird/files/patch-mailnews-compose-src-nsSmtpProtocol.cpp   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-content-media-gstreamer-nsGStreamerReader.cpp   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-dom-plugins-ipc-PluginMessageUtils.cpp   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-gfx-harfbuzz-src-hb-ot-layout.cc   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-gfx-ycbcr-Makefile.in   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-ipc-chromium-Makefile.in   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-ipc-chromium-src-base-message_pump_libevent.cc   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-js-src-methodjit-MethodJIT.cpp   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-media-libsydneyaudio-src-sydney_audio_oss.c   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-memory-mozalloc-mozalloc.cpp   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-security-nss-lib-Makefile   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-toolkit-xre-nsAppRunner.cpp   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-widget-qt-nsNativeThemeQt.cpp   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-widget-qt-nsSound.cpp   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-widget-qt-nsWindow.cpp   (contents, props changed)
  head/security/nss/files/patch-lib-freebl-Makefile   (contents, props changed)
  head/www/firefox-esr/files/patch-alsapulse   (contents, props changed)
  head/www/firefox-esr/files/patch-bug685258   (contents, props changed)
  head/www/firefox-esr/files/patch-bug741737   (contents, props changed)
  head/www/firefox-esr/files/patch-bug753046   (contents, props changed)
  head/www/firefox-esr/files/patch-dom-plugins-ipc-PluginMessageUtils.cpp   (contents, props changed)
  head/www/firefox-esr/files/patch-gfx-ycbcr-Makefile.in   (contents, props changed)
  head/www/firefox-esr/files/patch-ipc-chromium-Makefile.in   (contents, props changed)
  head/www/firefox-esr/files/patch-ipc-chromium-src-base-message_pump_libevent.cc   (contents, props changed)
  head/www/firefox-esr/files/patch-ipc-chromium-src-base-time_posix.cc   (contents, props changed)
  head/www/firefox-esr/files/patch-js-src-methodjit-MethodJIT.cpp   (contents, props changed)
  head/www/firefox-esr/files/patch-media-libsydneyaudio-src-sydney_audio_oss.c   (contents, props changed)
  head/www/firefox-esr/files/patch-memory-mozalloc-mozalloc.cpp   (contents, props changed)
  head/www/firefox-esr/files/patch-security-nss-lib-Makefile   (contents, props changed)
  head/www/firefox-esr/files/patch-security-nss-lib-freebl-mpi-mpcpucache.c   (contents, props changed)
  head/www/firefox-esr/files/patch-toolkit-xre-nsAppRunner.cpp   (contents, props changed)
  head/www/firefox-esr/files/patch-widget-src-qt-nsNativeThemeQt.cpp   (contents, props changed)
  head/www/firefox-esr/files/patch-widget-src-qt-nsSound.cpp   (contents, props changed)
  head/www/firefox-esr/files/patch-widget-src-qt-nsWindow.cpp   (contents, props changed)
  head/www/firefox/Makefile.options   (contents, props changed)
  head/www/firefox/files/patch-alsapulse   (contents, props changed)
  head/www/firefox/files/patch-bug685258   (contents, props changed)
  head/www/firefox/files/patch-bug752895   (contents, props changed)
  head/www/firefox/files/patch-bug753046   (contents, props changed)
  head/www/firefox/files/patch-content-media-gstreamer-nsGStreamerReader.cpp   (contents, props changed)
  head/www/firefox/files/patch-dom-plugins-ipc-PluginMessageUtils.cpp   (contents, props changed)
  head/www/firefox/files/patch-gfx-harfbuzz-src-hb-ot-layout.cc   (contents, props changed)
  head/www/firefox/files/patch-ipc-chromium-Makefile.in   (contents, props changed)
  head/www/firefox/files/patch-ipc-chromium-src-base-message_pump_libevent.cc   (contents, props changed)
  head/www/firefox/files/patch-js-src-methodjit-MethodJIT.cpp   (contents, props changed)
  head/www/firefox/files/patch-media-libsydneyaudio-src-sydney_audio_oss.c   (contents, props changed)
  head/www/firefox/files/patch-memory-mozalloc-mozalloc.cpp   (contents, props changed)
  head/www/firefox/files/patch-security-nss-lib-Makefile   (contents, props changed)
  head/www/firefox/files/patch-security-nss-lib-freebl-mpi-mpcpucache.c   (contents, props changed)
  head/www/firefox/files/patch-toolkit-xre-nsAppRunner.cpp   (contents, props changed)
  head/www/firefox/files/patch-widget-qt-nsNativeThemeQt.cpp   (contents, props changed)
  head/www/firefox/files/patch-widget-qt-nsSound.cpp   (contents, props changed)
  head/www/firefox/files/patch-widget-qt-nsWindow.cpp   (contents, props changed)
  head/www/libxul/files/patch-alsapulse   (contents, props changed)
  head/www/libxul/files/patch-bug685258   (contents, props changed)
  head/www/libxul/files/patch-media-libsydneyaudio-src-Makefile.in   (contents, props changed)
  head/www/libxul/files/patch-media-libsydneyaudio-src-sydney_audio_oss.c   (contents, props changed)
  head/www/libxul/files/patch-modules-libpr0n-encoders-png-nsPNGDecoder.cpp   (contents, props changed)
  head/www/libxul/files/patch-modules-libpr0n-encoders-png-nsPNGEncoder.cpp   (contents, props changed)
  head/www/libxul/files/patch-security-nss-lib-Makefile   (contents, props changed)
  head/www/libxul/files/patch-toolkit-xre-nsAppRunner.cpp   (contents, props changed)
  head/www/libxul/files/patch-xulrunner_installer_libxul-embedding.pc.in   (contents, props changed)
  head/www/seamonkey/files/patch-alsapulse   (contents, props changed)
  head/www/seamonkey/files/patch-bug685258   (contents, props changed)
  head/www/seamonkey/files/patch-bug753046   (contents, props changed)
  head/www/seamonkey/files/patch-mailnews-addrbook-src-nsDirPrefs.cpp   (contents, props changed)
  head/www/seamonkey/files/patch-mailnews-compose-src-nsSmtpProtocol.cpp   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-content-media-gstreamer-nsGStreamerReader.cpp   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-dom-plugins-ipc-PluginMessageUtils.cpp   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-gfx-harfbuzz-src-hb-ot-layout.cc   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-gfx-ycbcr-Makefile.in   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-ipc-chromium-Makefile.in   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-ipc-chromium-src-base-message_pump_libevent.cc   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-js-src-jsnum.cpp   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-js-src-methodjit-MethodJIT.cpp   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-media-libsydneyaudio-src-sydney_audio_oss.c   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-memory-mozalloc-mozalloc.cpp   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-security-nss-lib-Makefile   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-toolkit-xre-nsAppRunner.cpp   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-widget-qt-nsNativeThemeQt.cpp   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-widget-qt-nsSound.cpp   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-widget-qt-nsWindow.cpp   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-xpcom-base-nsStackWalk.cpp   (contents, props changed)
  head/www/seamonkey/files/patch-suite-app-nsSuiteApp.cpp   (contents, props changed)
  head/www/seamonkey/files/patch-suite-installer-Makefile.in   (contents, props changed)
Deleted:
  head/mail/thunderbird-esr/files/patch-configure.in
  head/mail/thunderbird-esr/files/patch-ipc-chromium-src-base-atomicops_internals_mutex.cc
  head/mail/thunderbird-esr/files/patch-ipc-chromium-src-base-file_util_posix.cc
  head/mail/thunderbird-esr/files/patch-ipc-chromium-src-base-platform_file_posix.cc
  head/mail/thunderbird-esr/files/patch-ipc-chromium-src-base-platform_thread_posix.cc
  head/mail/thunderbird-esr/files/patch-ipc-chromium-src-base-third_party-nspr-prcpucfg.h
  head/mail/thunderbird-esr/files/patch-ipc-chromium-src-build-build_config.h
  head/mail/thunderbird-esr/files/patch-mozilla-build-autoconf-config.sub
  head/mail/thunderbird-esr/files/patch-mozilla-db-sqlite3-src-Makefile.in
  head/mail/thunderbird-esr/files/patch-mozilla-gfx-qcms-Makefile.in
  head/mail/thunderbird-esr/files/patch-mozilla-ipc-chromium-src-base-dir_reader_linux.h
  head/mail/thunderbird-esr/files/patch-mozilla-media-libsydneyaudio-include-sydney_audio.h
  head/mail/thunderbird-esr/files/patch-mozilla-toolkit-library-Makefile.in
  head/mail/thunderbird/files/patch-bugzilla-736961
  head/mail/thunderbird/files/patch-configure.in
  head/mail/thunderbird/files/patch-ipc-chromium-src-base-atomicops_internals_mutex.cc
  head/mail/thunderbird/files/patch-ipc-chromium-src-base-file_util_linux.cc
  head/mail/thunderbird/files/patch-ipc-chromium-src-base-file_util_posix.cc
  head/mail/thunderbird/files/patch-ipc-chromium-src-base-platform_file_posix.cc
  head/mail/thunderbird/files/patch-ipc-chromium-src-base-platform_thread_posix.cc
  head/mail/thunderbird/files/patch-ipc-chromium-src-base-third_party-nspr-prcpucfg.h
  head/mail/thunderbird/files/patch-ipc-chromium-src-build-build_config.h
  head/mail/thunderbird/files/patch-mail-app-Makefile.in
  head/mail/thunderbird/files/patch-mozilla-build-autoconf-config.sub
  head/mail/thunderbird/files/patch-mozilla-db-sqlite3-src-Makefile.in
  head/mail/thunderbird/files/patch-mozilla-gfx-qcms-Makefile.in
  head/mail/thunderbird/files/patch-mozilla-ipc-chromium-src-base-dir_reader_linux.h
  head/mail/thunderbird/files/patch-mozilla-media-libsydneyaudio-include-sydney_audio.h
  head/mail/thunderbird/files/patch-mozilla-toolkit-library-Makefile.in
  head/www/firefox-esr/files/mozconfig-profile_guided_optimization.in
  head/www/firefox-esr/files/patch-browser-app-Makefile.in
  head/www/firefox-esr/files/patch-build_unix_run-mozilla.sh
  head/www/firefox-esr/files/patch-db_sqlite3_src_Makefile.in
  head/www/firefox-esr/files/patch-gfx-qcms-Makefile.in
  head/www/firefox-esr/files/patch-ipc-chromium-src-base-atomicops_internals_mutex.cc
  head/www/firefox-esr/files/patch-ipc-chromium-src-base-dir_reader_linux.h
  head/www/firefox-esr/files/patch-ipc-chromium-src-base-file_util_posix.cc
  head/www/firefox-esr/files/patch-ipc-chromium-src-base-platform_file_posix.cc
  head/www/firefox-esr/files/patch-ipc-chromium-src-base-platform_thread_posix.cc
  head/www/firefox-esr/files/patch-ipc-chromium-src-base-third_party-nspr-prcpucfg.h
  head/www/firefox-esr/files/patch-ipc-chromium-src-build-build_config.h
  head/www/firefox-esr/files/patch-media-libsydneyaudio-include-sydney_audio.h
  head/www/firefox-esr/files/patch-toolkit_library_Makefile.in
  head/www/firefox-esr/files/patch-xpcom-io-nsAppFileLocationProvider.cpp
  head/www/firefox/files/mozconfig-profile_guided_optimization.in
  head/www/firefox/files/patch-browser-app-Makefile.in
  head/www/firefox/files/patch-bugzilla-736961
  head/www/firefox/files/patch-build_unix_run-mozilla.sh
  head/www/firefox/files/patch-db_sqlite3_src_Makefile.in
  head/www/firefox/files/patch-gfx-qcms-Makefile.in
  head/www/firefox/files/patch-ipc-chromium-src-base-atomicops_internals_mutex.cc
  head/www/firefox/files/patch-ipc-chromium-src-base-dir_reader_linux.h
  head/www/firefox/files/patch-ipc-chromium-src-base-file_util_linux.cc
  head/www/firefox/files/patch-ipc-chromium-src-base-file_util_posix.cc
  head/www/firefox/files/patch-ipc-chromium-src-base-platform_file_posix.cc
  head/www/firefox/files/patch-ipc-chromium-src-base-platform_thread_posix.cc
  head/www/firefox/files/patch-ipc-chromium-src-base-third_party-nspr-prcpucfg.h
  head/www/firefox/files/patch-ipc-chromium-src-build-build_config.h
  head/www/firefox/files/patch-media-libsydneyaudio-include-sydney_audio.h
  head/www/firefox/files/patch-toolkit_library_Makefile.in
  head/www/firefox/files/patch-xpcom-io-nsAppFileLocationProvider.cpp
  head/www/kompozer/files/patch-storage_build_Makefile.in
  head/www/kompozer/files/patch-xptcall-alpha
  head/www/kompozer/files/patch-xptcall-ia64
  head/www/kompozer/files/patch-xptcall-powerpc
  head/www/kompozer/files/patch-xptcall-sparc64
  head/www/libxul/files/libsydney_oss
  head/www/libxul/files/patch-configure.in
  head/www/libxul/files/patch-db_sqlite3_src_Makefile.in
  head/www/libxul/files/patch-storage_build_Makefile.in
  head/www/libxul/files/patch-xptcall-alpha
  head/www/libxul/files/patch-xptcall-amd64
  head/www/libxul/files/patch-xptcall-powerpc
  head/www/libxul/files/patch-xptcall-sparc64
  head/www/libxul/files/releng6_pulseaudio
  head/www/seamonkey/files/patch-configure.in
  head/www/seamonkey/files/patch-ipc-chromium-src-base-atomicops_internals_mutex.cc
  head/www/seamonkey/files/patch-ipc-chromium-src-base-file_util_linux.cc
  head/www/seamonkey/files/patch-ipc-chromium-src-base-file_util_posix.cc
  head/www/seamonkey/files/patch-ipc-chromium-src-base-platform_file_posix.cc
  head/www/seamonkey/files/patch-ipc-chromium-src-base-platform_thread_posix.cc
  head/www/seamonkey/files/patch-ipc-chromium-src-base-third_party-nspr-prcpucfg.h
  head/www/seamonkey/files/patch-ipc-chromium-src-build-build_config.h
  head/www/seamonkey/files/patch-mozilla-build-autoconf-config.sub
  head/www/seamonkey/files/patch-mozilla-build-unix-run-mozilla.sh
  head/www/seamonkey/files/patch-mozilla-config-gcc-stl-wrapper.template.h
  head/www/seamonkey/files/patch-mozilla-gfx-qcms-Makefile.in
  head/www/seamonkey/files/patch-mozilla-ipc-chromium-src-base-dir_reader_linux.h
  head/www/seamonkey/files/patch-mozilla-js-src-build-autoconf-config.sub
  head/www/seamonkey/files/patch-mozilla-toolkit-library-Makefile.in
  head/www/seamonkey/files/patch-xptcall-amd64
  head/www/seamonkey/files/patch-xptcall-ia64
  head/www/seamonkey/files/patch-xptcall-sparc64
Modified:
  head/mail/linux-thunderbird/Makefile   (contents, props changed)
  head/mail/linux-thunderbird/distinfo   (contents, props changed)
  head/mail/thunderbird-esr-i18n/Makefile   (contents, props changed)
  head/mail/thunderbird-esr-i18n/distinfo   (contents, props changed)
  head/mail/thunderbird-esr/Makefile   (contents, props changed)
  head/mail/thunderbird-esr/distinfo   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-ipc-chromium-src-base-file_util_linux.cc   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-configure.in   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-js-src-Makefile.in   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-js-src-config-mkdepend-Makefile.in   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-js-src-config_config.mk   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-js-src-configure.in   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-security-coreconf-FreeBSD.mk   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-xpcom-base-nsStackWalk.cpp   (contents, props changed)
  head/mail/thunderbird-esr/files/patch-mozilla-xpcom-reflect-xptcall-src-md-unix-Makefile.in   (contents, props changed)
  head/mail/thunderbird-i18n/Makefile   (contents, props changed)
  head/mail/thunderbird-i18n/distinfo   (contents, props changed)
  head/mail/thunderbird/Makefile   (contents, props changed)
  head/mail/thunderbird/distinfo   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-configure.in   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-js-src-Makefile.in   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-js-src-config-mkdepend-Makefile.in   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-js-src-config_config.mk   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-js-src-configure.in   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-js-src-jsnum.cpp   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-layout-generic-Makefile.in   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-security-coreconf-FreeBSD.mk   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-xpcom-base-nsStackWalk.cpp   (contents, props changed)
  head/mail/thunderbird/files/patch-mozilla-xpcom-reflect-xptcall-src-md-unix-Makefile.in   (contents, props changed)
  head/security/nss/files/patch-..::coreconf::FreeBSD.mk   (contents, props changed)
  head/www/firefox-esr-i18n/Makefile   (contents, props changed)
  head/www/firefox-esr-i18n/distinfo   (contents, props changed)
  head/www/firefox-esr/Makefile   (contents, props changed)
  head/www/firefox-esr/distinfo   (contents, props changed)
  head/www/firefox-esr/files/patch-browser-app-nsBrowserApp.cpp   (contents, props changed)
  head/www/firefox-esr/files/patch-config_config.mk   (contents, props changed)
  head/www/firefox-esr/files/patch-config_mkdepend_Makefile.in   (contents, props changed)
  head/www/firefox-esr/files/patch-configure.in   (contents, props changed)
  head/www/firefox-esr/files/patch-ipc-chromium-src-base-file_util_linux.cc   (contents, props changed)
  head/www/firefox-esr/files/patch-js-src-Makefile.in   (contents, props changed)
  head/www/firefox-esr/files/patch-js-src-config-mkdepend_Makefile.in   (contents, props changed)
  head/www/firefox-esr/files/patch-js-src-config_config.mk   (contents, props changed)
  head/www/firefox-esr/files/patch-js-src-configure.in   (contents, props changed)
  head/www/firefox-esr/files/patch-security-coreconf-FreeBSD.mk   (contents, props changed)
  head/www/firefox-esr/files/patch-xpcom_base_nsStackWalk.cpp   (contents, props changed)
  head/www/firefox-esr/files/patch-xpcom_reflect_xptcall_src_md_unix_Makefile.in   (contents, props changed)
  head/www/firefox-esr/pkg-message   (contents, props changed)
  head/www/firefox-i18n/Makefile   (contents, props changed)
  head/www/firefox-i18n/distinfo   (contents, props changed)
  head/www/firefox/Makefile   (contents, props changed)
  head/www/firefox/Makefile.webplugins   (contents, props changed)
  head/www/firefox/distinfo   (contents, props changed)
  head/www/firefox/files/patch-browser-app-nsBrowserApp.cpp   (contents, props changed)
  head/www/firefox/files/patch-config_config.mk   (contents, props changed)
  head/www/firefox/files/patch-config_mkdepend_Makefile.in   (contents, props changed)
  head/www/firefox/files/patch-configure.in   (contents, props changed)
  head/www/firefox/files/patch-js-src-Makefile.in   (contents, props changed)
  head/www/firefox/files/patch-js-src-config-mkdepend_Makefile.in   (contents, props changed)
  head/www/firefox/files/patch-js-src-config_config.mk   (contents, props changed)
  head/www/firefox/files/patch-js-src-configure.in   (contents, props changed)
  head/www/firefox/files/patch-js_src_jsnum.cpp   (contents, props changed)
  head/www/firefox/files/patch-layout_generic_Makefile.in   (contents, props changed)
  head/www/firefox/files/patch-security-coreconf-FreeBSD.mk   (contents, props changed)
  head/www/firefox/files/patch-xpcom_base_nsStackWalk.cpp   (contents, props changed)
  head/www/firefox/files/patch-xpcom_reflect_xptcall_src_md_unix_Makefile.in   (contents, props changed)
  head/www/firefox/pkg-message   (contents, props changed)
  head/www/kompozer/Makefile   (contents, props changed)
  head/www/kompozer/files/patch-xpcom-reflect-xptcall-src-md-unix-Makefile.in   (contents, props changed)
  head/www/libxul/Makefile   (contents, props changed)
  head/www/libxul/files/patch-js-src-config-mkdepend-Makefile.in   (contents, props changed)
  head/www/libxul/files/patch-security_coreconf_FreeBSD.mk   (contents, props changed)
  head/www/libxul/files/patch-xpcom_base_nsStackWalk.cpp   (contents, props changed)
  head/www/libxul/files/patch-xpcom_reflect_xptcall_src_md_unix_Makefile.in   (contents, props changed)
  head/www/linux-firefox/Makefile   (contents, props changed)
  head/www/linux-firefox/distinfo   (contents, props changed)
  head/www/linux-seamonkey/Makefile   (contents, props changed)
  head/www/linux-seamonkey/distinfo   (contents, props changed)
  head/www/linux-seamonkey/pkg-plist   (contents, props changed)
  head/www/seamonkey-i18n/Makefile   (contents, props changed)
  head/www/seamonkey-i18n/distinfo   (contents, props changed)
  head/www/seamonkey/Makefile   (contents, props changed)
  head/www/seamonkey/distinfo   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-configure.in   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-js-src-Makefile.in   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-js-src-config-mkdepend-Makefile.in   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-js-src-configure.in   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-security-coreconf-FreeBSD.mk   (contents, props changed)
  head/www/seamonkey/files/patch-mozilla-xpcom-reflect-xptcall-src-md-unix-Makefile.in   (contents, props changed)

Modified: head/mail/linux-thunderbird/Makefile
==============================================================================
--- head/mail/linux-thunderbird/Makefile	Thu Jul 26 19:38:20 2012	(r301581)
+++ head/mail/linux-thunderbird/Makefile	Thu Jul 26 21:49:58 2012	(r301582)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	thunderbird
-PORTVERSION=	10.0.5
+PORTVERSION=	10.0.6
 CATEGORIES=	mail
 MASTER_SITE_SUBDIR?=	${PORTNAME}/releases/${PORTVERSION}esr/linux-i686/en-US
 DISTNAME=	${PORTNAME}-${DISTVERSION}esr
@@ -16,7 +16,7 @@ COMMENT=	Mozilla Thunderbird is standalo
 
 USE_BZIP2=	yes
 
-USE_LINUX_APPS=	dbusglib dbuslibs alsalib
+USE_LINUX_APPS=	dbusglib dbuslibs alsalib alsa-plugins-oss
 
 .include "${.CURDIR}/../../www/linux-seamonkey/Makefile.common"
 .include <bsd.port.mk>

Modified: head/mail/linux-thunderbird/distinfo
==============================================================================
--- head/mail/linux-thunderbird/distinfo	Thu Jul 26 19:38:20 2012	(r301581)
+++ head/mail/linux-thunderbird/distinfo	Thu Jul 26 21:49:58 2012	(r301582)
@@ -1,2 +1,2 @@
-SHA256 (thunderbird-10.0.5esr.tar.bz2) = 38258c5357ff398bb8ebcd7eb4749269b81f44915994b72c781c3688a431e441
-SIZE (thunderbird-10.0.5esr.tar.bz2) = 18569797
+SHA256 (thunderbird-10.0.6esr.tar.bz2) = 7051b910825a2838ac9a1bcb23c520d82be5fed4871266f1cd8954a8e876776b
+SIZE (thunderbird-10.0.6esr.tar.bz2) = 18574190

Modified: head/mail/thunderbird-esr-i18n/Makefile
==============================================================================
--- head/mail/thunderbird-esr-i18n/Makefile	Thu Jul 26 19:38:20 2012	(r301581)
+++ head/mail/thunderbird-esr-i18n/Makefile	Thu Jul 26 21:49:58 2012	(r301582)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	thunderbird-i18n
-PORTVERSION=	10.0.5
+PORTVERSION=	10.0.6
 CATEGORIES=	mail
 MASTER_SITE_SUBDIR=	thunderbird/releases/${PORTVERSION}esr/linux-i686/xpi
 PKGNAMEPREFIX=

Modified: head/mail/thunderbird-esr-i18n/distinfo
==============================================================================
--- head/mail/thunderbird-esr-i18n/distinfo	Thu Jul 26 19:38:20 2012	(r301581)
+++ head/mail/thunderbird-esr-i18n/distinfo	Thu Jul 26 21:49:58 2012	(r301582)
@@ -1,84 +1,84 @@
-SHA256 (xpi/thunderbird-i18n-10.0.5/ar.xpi) = b69d852ba95ab5c14a8da84fb653d2163b2c37d808c9fae92d39ee9b8388a86e
-SIZE (xpi/thunderbird-i18n-10.0.5/ar.xpi) = 441466
-SHA256 (xpi/thunderbird-i18n-10.0.5/br.xpi) = e2d9d3049ad4036737e58aa018c63cdea9726d801b9fa319e94263cc4cbbf829
-SIZE (xpi/thunderbird-i18n-10.0.5/br.xpi) = 415527
-SHA256 (xpi/thunderbird-i18n-10.0.5/ca.xpi) = e65a1eb51c07a1a114db98e6b7a9b7473f35d86b9e82dbcabb60871a67feade6
-SIZE (xpi/thunderbird-i18n-10.0.5/ca.xpi) = 416069
-SHA256 (xpi/thunderbird-i18n-10.0.5/cs.xpi) = b4af7f2f9161412e40b9d54d51ca8351b8c353335a2b5e4ddb155a4c1699a7e1
-SIZE (xpi/thunderbird-i18n-10.0.5/cs.xpi) = 419418
-SHA256 (xpi/thunderbird-i18n-10.0.5/da.xpi) = 60477ce2c2f1cf98e341d810ef38a7352ce93af3d11a1687dd40c6b9a83fe69b
-SIZE (xpi/thunderbird-i18n-10.0.5/da.xpi) = 363376
-SHA256 (xpi/thunderbird-i18n-10.0.5/de.xpi) = 72bfe1498f4f21e19a53e3ad3875e55dd005f2dfe91a5b9f3d598433452d83d2
-SIZE (xpi/thunderbird-i18n-10.0.5/de.xpi) = 418266
-SHA256 (xpi/thunderbird-i18n-10.0.5/en-GB.xpi) = 50a52ed103c76542b60ebff6302c256e3404fbbdcae1ac8699fb5ef9bde630c0
-SIZE (xpi/thunderbird-i18n-10.0.5/en-GB.xpi) = 391743
-SHA256 (xpi/thunderbird-i18n-10.0.5/en-US.xpi) = bb5f56a0a97c7a0c7e060ff26fa5a4c55ae8fc36227abf052704b3fc1912ec21
-SIZE (xpi/thunderbird-i18n-10.0.5/en-US.xpi) = 391242
-SHA256 (xpi/thunderbird-i18n-10.0.5/es-AR.xpi) = 3d13e3b98a4f98ca28dd3f704cfd35b836588307ac9c1126a0b6ab3390dbfb78
-SIZE (xpi/thunderbird-i18n-10.0.5/es-AR.xpi) = 410726
-SHA256 (xpi/thunderbird-i18n-10.0.5/es-ES.xpi) = 447f96ded904518422519c48dc3fb6a031bed6202f3f3d2bdb6c35aa86a8d651
-SIZE (xpi/thunderbird-i18n-10.0.5/es-ES.xpi) = 355142
-SHA256 (xpi/thunderbird-i18n-10.0.5/et.xpi) = 2fa43e19032210a713203e6df3ad2ecd48bc5c4904f53bd7109cfa23741ac17a
-SIZE (xpi/thunderbird-i18n-10.0.5/et.xpi) = 410724
-SHA256 (xpi/thunderbird-i18n-10.0.5/eu.xpi) = 517cb9354440924029bace7447d4573d1e076258da452e6339d4ed3013cbdc4a
-SIZE (xpi/thunderbird-i18n-10.0.5/eu.xpi) = 406387
-SHA256 (xpi/thunderbird-i18n-10.0.5/fi.xpi) = 724861217296f7f4f9bbe8ded334ac028ba60ec10b6c4b59b47f62783317d8f9
-SIZE (xpi/thunderbird-i18n-10.0.5/fi.xpi) = 411928
-SHA256 (xpi/thunderbird-i18n-10.0.5/fr.xpi) = d4fbba44e7f37fde324d8dc8b296e2891051febd77526188816f1fd63b133b2d
-SIZE (xpi/thunderbird-i18n-10.0.5/fr.xpi) = 414749
-SHA256 (xpi/thunderbird-i18n-10.0.5/fy-NL.xpi) = 9505cde98c321854c4abec4b3f347adffbcd39089bdb22184f4c6f38f7a35fac
-SIZE (xpi/thunderbird-i18n-10.0.5/fy-NL.xpi) = 413985
-SHA256 (xpi/thunderbird-i18n-10.0.5/ga-IE.xpi) = 9b50f292645ab8b920cb293f559ab78e5270a034589635d796bc6032ff402c27
-SIZE (xpi/thunderbird-i18n-10.0.5/ga-IE.xpi) = 423260
-SHA256 (xpi/thunderbird-i18n-10.0.5/gd.xpi) = 0ff6ed5d17eb0126638b4e0d64be6fb923f9882a95676fec380b1e7ae8f68dc2
-SIZE (xpi/thunderbird-i18n-10.0.5/gd.xpi) = 425875
-SHA256 (xpi/thunderbird-i18n-10.0.5/gl.xpi) = 1e8c7b4dd21ef0bca2d550300b99feaafc18b7d585cc27124201d5cfe8e67b10
-SIZE (xpi/thunderbird-i18n-10.0.5/gl.xpi) = 409228
-SHA256 (xpi/thunderbird-i18n-10.0.5/he.xpi) = 00a4807bfcc0bbe5b9e7333ced32b1f94fecfdfd662069ecfc02976417e47aea
-SIZE (xpi/thunderbird-i18n-10.0.5/he.xpi) = 439206
-SHA256 (xpi/thunderbird-i18n-10.0.5/hu.xpi) = 2df737386b9cec55081b2795cd3a1c3920359878739aec5f3b8a4ec0ccf2b97d
-SIZE (xpi/thunderbird-i18n-10.0.5/hu.xpi) = 426356
-SHA256 (xpi/thunderbird-i18n-10.0.5/is.xpi) = 64257028a6b24cd33b5e54a8c06c99e6745eb03a1e8481eaee6e7d44dca0e4f7
-SIZE (xpi/thunderbird-i18n-10.0.5/is.xpi) = 412634
-SHA256 (xpi/thunderbird-i18n-10.0.5/it.xpi) = 3b230b10edaaca08b0de5a60e80fccf5e14b210e92c7caaa52f1b2c231ecb177
-SIZE (xpi/thunderbird-i18n-10.0.5/it.xpi) = 347633
-SHA256 (xpi/thunderbird-i18n-10.0.5/ja.xpi) = 4e910ae6b8db167b66d25981f86a337421d4b890aaa60aadf2298c2eae9bfb54
-SIZE (xpi/thunderbird-i18n-10.0.5/ja.xpi) = 459031
-SHA256 (xpi/thunderbird-i18n-10.0.5/ko.xpi) = 1f6f07a2c84902bad9a1f78eff13c94bd07757ff7117bec23d3371cde092158e
-SIZE (xpi/thunderbird-i18n-10.0.5/ko.xpi) = 372016
-SHA256 (xpi/thunderbird-i18n-10.0.5/lt.xpi) = 34832a1c54ba4874d67ae8af17554f275e15b7a2319b4cbe19503631ec1c4c27
-SIZE (xpi/thunderbird-i18n-10.0.5/lt.xpi) = 531022
-SHA256 (xpi/thunderbird-i18n-10.0.5/nb-NO.xpi) = fcbeb3ffb602a8253f8a07f0eb8cdb925b62a2ad81c8d26360656295da4dbecf
-SIZE (xpi/thunderbird-i18n-10.0.5/nb-NO.xpi) = 407729
-SHA256 (xpi/thunderbird-i18n-10.0.5/nl.xpi) = 6610a240a3991f5d848bb1304516cd1caac99a14978a2900949387384a0ca02f
-SIZE (xpi/thunderbird-i18n-10.0.5/nl.xpi) = 407985
-SHA256 (xpi/thunderbird-i18n-10.0.5/nn-NO.xpi) = fecdcd06715ad18b0425f429e8ccef5a168239979898aff8e81751b7ef0abf82
-SIZE (xpi/thunderbird-i18n-10.0.5/nn-NO.xpi) = 409458
-SHA256 (xpi/thunderbird-i18n-10.0.5/pl.xpi) = d1929ec5647a790c3079ced6d526e1ceb2c19c140e6569990d5a862d12048519
-SIZE (xpi/thunderbird-i18n-10.0.5/pl.xpi) = 393578
-SHA256 (xpi/thunderbird-i18n-10.0.5/pt-BR.xpi) = 60f0912f612c2ebf3ab4ab89cddd1b3a7222f5f18475a7a05cb5cbc5524e0e78
-SIZE (xpi/thunderbird-i18n-10.0.5/pt-BR.xpi) = 417229
-SHA256 (xpi/thunderbird-i18n-10.0.5/pt-PT.xpi) = b8ef82bf9e56914915023f787ce94ca62c6e390ccd0a2ffbf77716aa54bddc97
-SIZE (xpi/thunderbird-i18n-10.0.5/pt-PT.xpi) = 414265
-SHA256 (xpi/thunderbird-i18n-10.0.5/rm.xpi) = ae1cdccfe338e81039d8a50cbc77739e4e93e65f33701bc7a8d5ff5c89f9b080
-SIZE (xpi/thunderbird-i18n-10.0.5/rm.xpi) = 414709
-SHA256 (xpi/thunderbird-i18n-10.0.5/ru.xpi) = 72dd2420c89af9d056594bde8fea1764bbb504bf8399219cf6369d180b090ba3
-SIZE (xpi/thunderbird-i18n-10.0.5/ru.xpi) = 411634
-SHA256 (xpi/thunderbird-i18n-10.0.5/si.xpi) = a43f9eb2b7cb5b3ff150b7399a025233a379e7b9ec1ba6e18c91faeb484cc9a3
-SIZE (xpi/thunderbird-i18n-10.0.5/si.xpi) = 456607
-SHA256 (xpi/thunderbird-i18n-10.0.5/sk.xpi) = f3e69874812ab562ccaf5eb3ea3132261694fb0ab06794fa3789098414e07c37
-SIZE (xpi/thunderbird-i18n-10.0.5/sk.xpi) = 425029
-SHA256 (xpi/thunderbird-i18n-10.0.5/sl.xpi) = 08f3af3962eeb07fa6df745adfff8795eba53a372c149713d2af144a89dd8ec4
-SIZE (xpi/thunderbird-i18n-10.0.5/sl.xpi) = 410431
-SHA256 (xpi/thunderbird-i18n-10.0.5/sq.xpi) = 55f4a9d6bc65d5623b9570ebb861987e9229a9867d800bb2589e204906d220bc
-SIZE (xpi/thunderbird-i18n-10.0.5/sq.xpi) = 360480
-SHA256 (xpi/thunderbird-i18n-10.0.5/sv-SE.xpi) = 35b43033dec37f5de2026343e6b17d32878fce9f51eb3abd44d594aa418d6277
-SIZE (xpi/thunderbird-i18n-10.0.5/sv-SE.xpi) = 478280
-SHA256 (xpi/thunderbird-i18n-10.0.5/ta-LK.xpi) = cb7d78d90b7380f85c83093307934ff09471eb707be58a3d6c43914686eefc88
-SIZE (xpi/thunderbird-i18n-10.0.5/ta-LK.xpi) = 475718
-SHA256 (xpi/thunderbird-i18n-10.0.5/tr.xpi) = 748f9a5c2660f2da480eff9bf40373567d5a8ce59c0fe07192335a73541458d2
-SIZE (xpi/thunderbird-i18n-10.0.5/tr.xpi) = 418209
-SHA256 (xpi/thunderbird-i18n-10.0.5/uk.xpi) = 7bb99378a48c12da258dc21c511267251b864ed26a31a653ca8c0188765ca78a
-SIZE (xpi/thunderbird-i18n-10.0.5/uk.xpi) = 463925
-SHA256 (xpi/thunderbird-i18n-10.0.5/zh-TW.xpi) = a6acbc39e441f148a68776de671a3a365bda2a8b388b2ed0d235ca082e174faf
-SIZE (xpi/thunderbird-i18n-10.0.5/zh-TW.xpi) = 431827
+SHA256 (xpi/thunderbird-i18n-10.0.6/ar.xpi) = 0223cc4a79d98945a20cd5b686a90d996b90211c5b6d704fd2b0e1493f9adb32
+SIZE (xpi/thunderbird-i18n-10.0.6/ar.xpi) = 441466
+SHA256 (xpi/thunderbird-i18n-10.0.6/br.xpi) = b796d258b77b4d8374956456e98977e7d29e759e1e598e4d800fb5ba84cca28b
+SIZE (xpi/thunderbird-i18n-10.0.6/br.xpi) = 415527
+SHA256 (xpi/thunderbird-i18n-10.0.6/ca.xpi) = 1c050afcb257d664c0c4aaf5488e9d27081d0987757e5c0e6238abef64cd68fc
+SIZE (xpi/thunderbird-i18n-10.0.6/ca.xpi) = 416069
+SHA256 (xpi/thunderbird-i18n-10.0.6/cs.xpi) = 3c27c5b2b08c108cf2411dd00294950b56249b145ed356b422c7b240d3b16412
+SIZE (xpi/thunderbird-i18n-10.0.6/cs.xpi) = 419419
+SHA256 (xpi/thunderbird-i18n-10.0.6/da.xpi) = 505540bde73c21243ba088b04a08e8a6bf2578a1b1b44daae080b8806f191377
+SIZE (xpi/thunderbird-i18n-10.0.6/da.xpi) = 363376
+SHA256 (xpi/thunderbird-i18n-10.0.6/de.xpi) = 174841c6b26c1a35b97eb234df220223f6391be0155e05ae547acd3509eb63e6
+SIZE (xpi/thunderbird-i18n-10.0.6/de.xpi) = 418266
+SHA256 (xpi/thunderbird-i18n-10.0.6/en-GB.xpi) = 5ace1c398328d5c2e00c046edab1543faf5fcda1f13647ee50778d72c6107596
+SIZE (xpi/thunderbird-i18n-10.0.6/en-GB.xpi) = 391743
+SHA256 (xpi/thunderbird-i18n-10.0.6/en-US.xpi) = 71ab52853aaa8f55c22392937c3b3bb700d2ea2443cf4b1275269f7fa5811a70
+SIZE (xpi/thunderbird-i18n-10.0.6/en-US.xpi) = 391242
+SHA256 (xpi/thunderbird-i18n-10.0.6/es-AR.xpi) = 53d467243b613ce076add339959175d98b688e70cf22191116f97309f1fbf2ae
+SIZE (xpi/thunderbird-i18n-10.0.6/es-AR.xpi) = 410726
+SHA256 (xpi/thunderbird-i18n-10.0.6/es-ES.xpi) = 27ea8ee4d12811805612009c0d0be3246d5af8f2b509d27cc1aef47527d51565
+SIZE (xpi/thunderbird-i18n-10.0.6/es-ES.xpi) = 355143
+SHA256 (xpi/thunderbird-i18n-10.0.6/et.xpi) = 82bc9cd8e9a2a4eb4dadff80706a31fdb762fc7baee3c0310da68c22de71b175
+SIZE (xpi/thunderbird-i18n-10.0.6/et.xpi) = 410724
+SHA256 (xpi/thunderbird-i18n-10.0.6/eu.xpi) = 46c4a9ef3ae80053157393fe767afaf1dc130268fe4a650ca41d72e0ce790487
+SIZE (xpi/thunderbird-i18n-10.0.6/eu.xpi) = 406387
+SHA256 (xpi/thunderbird-i18n-10.0.6/fi.xpi) = c2bea42568a928a293844a5ed172ac7dc289f56988bf8a29a047b0e2efa2074e
+SIZE (xpi/thunderbird-i18n-10.0.6/fi.xpi) = 411928
+SHA256 (xpi/thunderbird-i18n-10.0.6/fr.xpi) = 909ccf3f85e488a686766e3a1c54868fb8c91a305ffd42031a1a747c7ecb7f9e
+SIZE (xpi/thunderbird-i18n-10.0.6/fr.xpi) = 414749
+SHA256 (xpi/thunderbird-i18n-10.0.6/fy-NL.xpi) = 000d97b67290869298ce4550b8c5dacf81d36eddaefb116a504dddd8bafd0a9a
+SIZE (xpi/thunderbird-i18n-10.0.6/fy-NL.xpi) = 413985
+SHA256 (xpi/thunderbird-i18n-10.0.6/ga-IE.xpi) = 17aa3b5092df7411f6a2039f245ce255a128938dee34e6977224cdfa1d6ec765
+SIZE (xpi/thunderbird-i18n-10.0.6/ga-IE.xpi) = 423261
+SHA256 (xpi/thunderbird-i18n-10.0.6/gd.xpi) = 2bb47d383359cd860155b1e71efa085a8d8b2a5a0b2ab41559468c48229b94af
+SIZE (xpi/thunderbird-i18n-10.0.6/gd.xpi) = 425876
+SHA256 (xpi/thunderbird-i18n-10.0.6/gl.xpi) = c6aad0c59e6e8917c00373d6dd9b12ae8a5dae51fbd63d84937aee632af3410a
+SIZE (xpi/thunderbird-i18n-10.0.6/gl.xpi) = 409229
+SHA256 (xpi/thunderbird-i18n-10.0.6/he.xpi) = f9b681d750defe2bd03c5f3129ee7d855b3e84733d680b94f433b6acce172f08
+SIZE (xpi/thunderbird-i18n-10.0.6/he.xpi) = 439206
+SHA256 (xpi/thunderbird-i18n-10.0.6/hu.xpi) = c88c902234b5878bae444c4133d17d58464ff401cccd7196d86279f26ba9c0b2
+SIZE (xpi/thunderbird-i18n-10.0.6/hu.xpi) = 426356
+SHA256 (xpi/thunderbird-i18n-10.0.6/is.xpi) = 351ff4311732a4b8127ed2642841bf3b92b5bcb1336666fa460352ec9afb09db
+SIZE (xpi/thunderbird-i18n-10.0.6/is.xpi) = 412634
+SHA256 (xpi/thunderbird-i18n-10.0.6/it.xpi) = f2a225ad1b5d7e5292b5589cf03e880477d572a597c849c62a57584237f30335
+SIZE (xpi/thunderbird-i18n-10.0.6/it.xpi) = 347634
+SHA256 (xpi/thunderbird-i18n-10.0.6/ja.xpi) = a8e350421416229b93e7e825e072adb34d50dde91c81864be7463ce8470d8d67
+SIZE (xpi/thunderbird-i18n-10.0.6/ja.xpi) = 459031
+SHA256 (xpi/thunderbird-i18n-10.0.6/ko.xpi) = c13e33783f8d1bea548be5095716e84c36df00c610707612d80ca01a9ec5c814
+SIZE (xpi/thunderbird-i18n-10.0.6/ko.xpi) = 372016
+SHA256 (xpi/thunderbird-i18n-10.0.6/lt.xpi) = a00be860b6c1a7844a08ca0c0b4803e076817788c3049caa4c4343bdd394f6a4
+SIZE (xpi/thunderbird-i18n-10.0.6/lt.xpi) = 531022
+SHA256 (xpi/thunderbird-i18n-10.0.6/nb-NO.xpi) = 1a309be14b4b04722c91c10dbe490de9c64e8f185abde0489662b659f1fcd8d7
+SIZE (xpi/thunderbird-i18n-10.0.6/nb-NO.xpi) = 407729
+SHA256 (xpi/thunderbird-i18n-10.0.6/nl.xpi) = 472b2e8b6271e7be5beccd644563f043b89b38db3ff26778912fc2af476cf765
+SIZE (xpi/thunderbird-i18n-10.0.6/nl.xpi) = 407985
+SHA256 (xpi/thunderbird-i18n-10.0.6/nn-NO.xpi) = bc575d2c7c48c760aa5703326cc6a4b2bd387a7d364b9b77d5f32444315c015f
+SIZE (xpi/thunderbird-i18n-10.0.6/nn-NO.xpi) = 409459
+SHA256 (xpi/thunderbird-i18n-10.0.6/pl.xpi) = 606585843ba8407f407d130a4522b42a5b60b7b64c4dc0a60078f16fac862bdf
+SIZE (xpi/thunderbird-i18n-10.0.6/pl.xpi) = 393578
+SHA256 (xpi/thunderbird-i18n-10.0.6/pt-BR.xpi) = 0833f32f278ce2d1f74c884007d4731b21eab0075bbf27f0307d7ea238bcbfb4
+SIZE (xpi/thunderbird-i18n-10.0.6/pt-BR.xpi) = 417229
+SHA256 (xpi/thunderbird-i18n-10.0.6/pt-PT.xpi) = 25e1dca1ff07a60938867905147cea68bd724e5f40e5950e1fc7e3e5e8f2dc82
+SIZE (xpi/thunderbird-i18n-10.0.6/pt-PT.xpi) = 414266
+SHA256 (xpi/thunderbird-i18n-10.0.6/rm.xpi) = a5b541a4d3048c5396ffc35336354b71f2cef500a60ed2f9c65b0dab125dc49a
+SIZE (xpi/thunderbird-i18n-10.0.6/rm.xpi) = 414709
+SHA256 (xpi/thunderbird-i18n-10.0.6/ru.xpi) = 38012fb38ea4fefcb1ebd7e7a57151ae7e8fbfa20fa463c34bf3ee7e4c2cad83
+SIZE (xpi/thunderbird-i18n-10.0.6/ru.xpi) = 411634
+SHA256 (xpi/thunderbird-i18n-10.0.6/si.xpi) = 4602f33aed0ce5af558482a2a4098edf4f24a6b2726ae6ebc0fbee77dfaf6931
+SIZE (xpi/thunderbird-i18n-10.0.6/si.xpi) = 456607
+SHA256 (xpi/thunderbird-i18n-10.0.6/sk.xpi) = e6c7104d138922fee7941929361331246ac2e9df655b8e7025d7dc066ef1c880
+SIZE (xpi/thunderbird-i18n-10.0.6/sk.xpi) = 425029
+SHA256 (xpi/thunderbird-i18n-10.0.6/sl.xpi) = 2ce183f0cb08f241c8aa12c07932e69ac418af66a43a4886890cb1f649f81f57
+SIZE (xpi/thunderbird-i18n-10.0.6/sl.xpi) = 410432
+SHA256 (xpi/thunderbird-i18n-10.0.6/sq.xpi) = 84361c6f6c9d9516fc405b24eb23cef2ef3ff03f633fdd87da1fe0d6dde499a8
+SIZE (xpi/thunderbird-i18n-10.0.6/sq.xpi) = 360480
+SHA256 (xpi/thunderbird-i18n-10.0.6/sv-SE.xpi) = 07d22a2988abb9618004e9ef19255389db08e86758f520000de5fa9f82b204f3
+SIZE (xpi/thunderbird-i18n-10.0.6/sv-SE.xpi) = 478281
+SHA256 (xpi/thunderbird-i18n-10.0.6/ta-LK.xpi) = a8214f2fd01af7fd8aa13462bee23dbaef8e08a4990aaf7b00df17f303514d04
+SIZE (xpi/thunderbird-i18n-10.0.6/ta-LK.xpi) = 475718
+SHA256 (xpi/thunderbird-i18n-10.0.6/tr.xpi) = 6911cc3ab94d64c62dd63481435ed675bc39bab109b3b1aa8ce1bc7a309e830e
+SIZE (xpi/thunderbird-i18n-10.0.6/tr.xpi) = 418210
+SHA256 (xpi/thunderbird-i18n-10.0.6/uk.xpi) = 81774654be422fb766f54f18e1856ddcdd5a46c78ff95ff0c16d7e33f29f7589
+SIZE (xpi/thunderbird-i18n-10.0.6/uk.xpi) = 463925
+SHA256 (xpi/thunderbird-i18n-10.0.6/zh-TW.xpi) = 16f1f0e110da8f2c3cb27a202e60ff38b66de97973fee92e7b0192e57f972ea8
+SIZE (xpi/thunderbird-i18n-10.0.6/zh-TW.xpi) = 431827

Modified: head/mail/thunderbird-esr/Makefile
==============================================================================
--- head/mail/thunderbird-esr/Makefile	Thu Jul 26 19:38:20 2012	(r301581)
+++ head/mail/thunderbird-esr/Makefile	Thu Jul 26 21:49:58 2012	(r301582)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	thunderbird
-DISTVERSION=	10.0.5
+DISTVERSION=	10.0.6
 CATEGORIES=	mail ipv6
 MASTER_SITES=	${MASTER_SITE_MOZILLA}
 MASTER_SITE_SUBDIR=	${PORTNAME}/releases/${DISTVERSION}esr/source
@@ -15,39 +15,34 @@ DISTNAME=	${PORTNAME}-${DISTVERSION}esr.
 MAINTAINER=	gecko@FreeBSD.org
 COMMENT=	Mozilla Thunderbird is standalone mail and news that stands above
 
-BUILD_DEPENDS=	nspr>=4.8.7:${PORTSDIR}/devel/nspr \
+BUILD_DEPENDS=	nspr>=4.8.8:${PORTSDIR}/devel/nspr \
+		nss>=3.13.1:${PORTSDIR}/security/nss \
+		sqlite3>=3.7.7.1:${PORTSDIR}/databases/sqlite3 \
 		cairo>=1.10.2_1,1:${PORTSDIR}/graphics/cairo \
 		unzip:${PORTSDIR}/archivers/unzip
-LIB_DEPENDS=	execinfo.1:${PORTSDIR}/devel/libexecinfo \
-		event-1.4:${PORTSDIR}/devel/libevent
 
 CONFLICTS_BUILD=	spidermonkey-*
 
-USE_AUTOTOOLS=	autoconf213
+USE_AUTOTOOLS=	autoconf213:env
 LATEST_LINK=	thunderbird-esr
 USE_GECKO=	gecko
 CONFLICTS=	thunderbird-1[1-9].*
-USE_MOZILLA=	-png -nss -dbm -jpeg -xft
-MOZ_TOOLKIT=	cairo-gtk2
+USE_MOZILLA=	# empty
 
 MAKE_JOBS_SAFE=	yes
 WANT_GNOME=	yes
+USE_QT4=	# empty
+QT_NONSTANDARD=	yes
 ALL_TARGET=	default
-CONFIGURE_ENV=	LOCALBASE=${LOCALBASE}
-MAKE_ENV=	PTHREAD_LDFLAGS="${PTHREAD_LIBS}"
-HAS_CONFIGURE=	yes
+GNU_CONFIGURE=	yes
 USE_BZIP2=	yes
 USE_GMAKE=	yes
 USE_GL=		gl
 
 MOZ_PROTOCOLS=	http,ftp,file,viewsource,res,data,wyciwyg,websocket
-MOZ_GRAPHICS=	default,-xbm
 MOZ_OPTIONS=	--program-transform-name='s/thunderbird/${MOZILLA}/' \
-	--with-default-mozilla-five-home=${PREFIX}/lib/${MOZILLA} \
 	--enable-single-profile --disable-profilesharing \
-	--enable-application=mail --enable-official-branding \
-	--disable-updater --disable-necko-wifi \
-	--with-system-libevent=${LOCALBASE}
+	--enable-application=mail --enable-official-branding
 MOZ_MK_OPTIONS=	MOZ_MOZ_THUNDERBIRD=1 MAIL_PKG_SHARED=1
 MOZ_EXPORT=		MOZ_THUNDERBIRD=1 MAIL_PKG_SHARED=1
 MOZ_PKGCONFIG_FILES=
@@ -58,45 +53,38 @@ PORTNAME_ICON_SRC=	${PREFIX}/lib/${MOZIL
 SYSTEM_PREFS=	${FAKEDIR}/lib/${PORTNAME}/defaults/pref/${PORTNAME}.js
 MOZ_PIS_SCRIPTS=moz_pis_S50cleanhome
 
-OPTIONS=	LIGHTNING	"Enable calendar extension" off
+OPTIONS_DEFINE=	LIGHTNING
 
+.include "${.CURDIR}/../../www/firefox/Makefile.options"
 .include <bsd.port.pre.mk>
 
 WRKSRC=		${WRKDIR}/comm-esr10
 MOZSRC:=	${WRKSRC}/mozilla
 
-.if ${ARCH} == powerpc64
+.if ${ARCH} == amd64
+CONFIGURE_TARGET=x86_64-portbld-freebsd${OSREL}
+.elif ${ARCH} == powerpc64
 .if ${OSVERSION} < 900033
 BROKEN=		Needs binutils 2.17.50 to build
 .else
-CONFIGURE_ENV+=	UNAME_m="powerpc64"
+MOZ_EXPORT+=	UNAME_m="powerpc64"
 CFLAGS+=	-mminimal-toc
 .endif
 .endif
 
-.if ${HAVE_GNOME:Mlibgnomeui}!=""
-USE_GNOME+=	libgnomeui
-MOZ_OPTIONS+=	--enable-gnomeui
-.else
-MOZ_OPTIONS+=	--disable-gnomeui
-.endif
-
-.if defined(WITHOUT_DBUS)
-MOZ_OPTIONS+=	--disable-dbus --disable-libnotify
-.else
-LIB_DEPENDS+=	dbus-glib-1.2:${PORTSDIR}/devel/dbus-glib \
-		notify.4:${PORTSDIR}/devel/libnotify
-.endif
-
 .if ${ARCH} == amd64 || ${ARCH} == i386
 BUILD_DEPENDS+=	yasm:${PORTSDIR}/devel/yasm
 .endif
 
-.if defined(WITH_LIGHTNING)
+.if !empty(CXX:M*clang++*)
+CFLAGS+=	-Wno-return-type-c-linkage
+.endif
+
+.if ${PORT_OPTIONS:MLIGHTNING}
 MOZ_OPTIONS+=	--enable-calendar
 MOZ_MK_OPTIONS+=	MOZ_CO_PROJECT=calendar
 LIGHTNING_DIR=	share/lightning
-XPI_FILE=	${MOZSRC}/dist/xpi-stage/lightning.xpi
+XPI_FILE=	${MOZ_OBJDIR}/mozilla/dist/xpi-stage/lightning.xpi
 XPI_LIBDIR=	${PREFIX}/lib/xpi
 XPI_ORIG_ID=	{e2fda1a4-762b-4020-b5ad-a41df1933103}
 XPI_ID=		lightning@thunderbird.mozilla.org
@@ -109,22 +97,8 @@ post-extract:
 		<${FILESDIR}/thunderbird.desktop.in >${WRKDIR}/${MOZILLA_EXEC_NAME}.desktop
 
 post-patch:
-	@${GREP} -Flr \"/proc ${MOZSRC}/ipc/chromium/src/base | ${XARGS} ${REINPLACE_CMD} \
-		-e 's|/proc/self/fd|/dev/fd|' \
-		-e 's|/proc["/]|/compat/linux&|'
-	@${REINPLACE_CMD} -e 's|%%PTHREAD_LIBS%%|${PTHREAD_LIBS}|' \
-		${MOZSRC}/storage/build/Makefile.in \
-		${MOZSRC}/toolkit/library/Makefile.in \
-		${MOZSRC}/db/sqlite3/src/Makefile.in
-	@${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|' \
-		${MOZSRC}/security/manager/ssl/src/Makefile.in \
-		${MOZSRC}/js/src/config/mkdepend/Makefile.in \
-		${MOZSRC}/js/src/config/config.mk
-	@${REINPLACE_CMD} -e 's|-lc_r|${PTHREAD_LIBS}|g ; \
-		s|-lpthread|${PTHREAD_LIBS}|g ; \
-		s|echo aout|echo elf|g ; \
-		s|/usr/X11R6|${LOCALBASE}|g' \
-		${MOZSRC}/js/src/configure
+	@${REINPLACE_CMD} -e 's|%%LOCALBASE%%|${LOCALBASE}|g' \
+		${WRKSRC}/mail/app/nsMailApp.cpp
 
 pre-configure:
 	(cd ${WRKSRC} && ${AUTOCONF})
@@ -143,7 +117,7 @@ post-install:
 	${MKDIR} ${PREFIX}/share/applications
 	${INSTALL_DATA} ${WRKDIR}/${MOZILLA_EXEC_NAME}.desktop ${PREFIX}/share/applications
 	${LN} -sf ${PORTNAME_ICON_SRC} ${PREFIX}/share/pixmaps/${PORTNAME_ICON}
-.if defined(WITH_LIGHTNING)
+.if ${PORT_OPTIONS:MLIGHTNING}
 	@${MKDIR} ${XPI_LIBDIR}/${XPI_ID} ${XPI_LIBDIR}/symlinks/thunderbird
 	@(cd ${XPI_LIBDIR}/${XPI_ID}; ${TAR} -xf ${XPI_FILE})
 	@${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${XPI_LIBDIR}/${XPI_ID}

Modified: head/mail/thunderbird-esr/distinfo
==============================================================================
--- head/mail/thunderbird-esr/distinfo	Thu Jul 26 19:38:20 2012	(r301581)
+++ head/mail/thunderbird-esr/distinfo	Thu Jul 26 21:49:58 2012	(r301582)
@@ -1,2 +1,2 @@
-SHA256 (thunderbird-10.0.5esr.source.tar.bz2) = d9e94cf730b6ce8974a63cbc240f27671a74c662942c26a6f4264ed24af4281f
-SIZE (thunderbird-10.0.5esr.source.tar.bz2) = 97617123
+SHA256 (thunderbird-10.0.6esr.source.tar.bz2) = 0962399e13ea4b97816730ea81260ec304a6da49c9562840c776f4d1a536c1e8
+SIZE (thunderbird-10.0.6esr.source.tar.bz2) = 97779445

Added: head/mail/thunderbird-esr/files/patch-alsapulse
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/thunderbird-esr/files/patch-alsapulse	Thu Jul 26 21:49:58 2012	(r301582)
@@ -0,0 +1,119 @@
+--- mozilla/config/autoconf.mk.in~
++++ mozilla/config/autoconf.mk.in
+@@ -568,7 +568,13 @@ MOZ_LIBNOTIFY_CFLAGS	= @MOZ_LIBNOTIFY_CF
+ MOZ_LIBNOTIFY_LIBS	= @MOZ_LIBNOTIFY_LIBS@
+ MOZ_ENABLE_LIBNOTIFY	= @MOZ_ENABLE_LIBNOTIFY@
+ 
++MOZ_ALSA                = @MOZ_ALSA@
+ MOZ_ALSA_LIBS           = @MOZ_ALSA_LIBS@
++MOZ_ALSA_CFLAGS         = @MOZ_ALSA_CFLAGS@
++
++MOZ_PULSEAUDIO          = @MOZ_PULSEAUDIO@
++MOZ_PULSEAUDIO_LIBS     = @MOZ_PULSEAUDIO_LIBS@
++MOZ_PULSEAUDIO_CFLAGS   = @MOZ_PULSEAUDIO_CFLAGS@
+ 
+ GLIB_CFLAGS	= @GLIB_CFLAGS@
+ GLIB_LIBS	= @GLIB_LIBS@
+--- mozilla/configure.in~
++++ mozilla/configure.in
+@@ -5758,17 +5775,48 @@ dnl ====================================
+ dnl = Check alsa availability on Linux if using sydneyaudio
+ dnl ========================================================
+ 
++MOZ_ARG_ENABLE_BOOL(alsa,
++[  --enable-alsa          Enable Alsa support],
++MOZ_ALSA=1,
++MOZ_ALSA= MOZ_ALSA_FORCE=$enableval)
++
+ dnl If using sydneyaudio with Linux, ensure that the alsa library is available
+-if test -n "$MOZ_SYDNEYAUDIO"; then
++if test -n "$MOZ_SYDNEYAUDIO" -a "$MOZ_ALSA_FORCE" != "no"; then
+    case "$target_os" in
+ linux*)
++      MOZ_ALSA=1
++      ;;
++   esac
++fi
++
++if test -n "$MOZ_ALSA"; then
+       PKG_CHECK_MODULES(MOZ_ALSA, alsa, ,
+          [echo "$MOZ_ALSA_PKG_ERRORS"
+           AC_MSG_ERROR([Need alsa for Ogg, Wave or WebM decoding on Linux.  Disable with --disable-ogg --disable-wave --disable-webm.  (On Ubuntu, you might try installing the package libasound2-dev.)])])
+-      ;;
+-   esac
+ fi
+ 
++AC_SUBST(MOZ_ALSA_CFLAGS)
++AC_SUBST(MOZ_ALSA)
++
++dnl ========================================================
++dnl = Enable PulseAudio
++dnl ========================================================
++
++MOZ_ARG_ENABLE_BOOL(pulseaudio,
++[  --enable-pulseaudio          Enable PulseAudio support],
++MOZ_PULSEAUDIO=1,
++MOZ_PULSEAUDIO=)
++
++if test -n "$MOZ_PULSEAUDIO"; then
++    PKG_CHECK_MODULES(MOZ_PULSEAUDIO, libpulse, ,
++         [echo "$MOZ_PULSEAUDIO_PKG_ERRORS"
++          AC_MSG_ERROR([pulseaudio audio backend requires libpulse package])])
++fi
++
++AC_SUBST(MOZ_PULSEAUDIO_CFLAGS)
++AC_SUBST(MOZ_PULSEAUDIO_LIBS)
++AC_SUBST(MOZ_PULSEAUDIO)
++
+ dnl ========================================================
+ dnl Permissions System
+ dnl ========================================================
+--- mozilla/media/libsydneyaudio/src/Makefile.in~
++++ mozilla/media/libsydneyaudio/src/Makefile.in
+@@ -30,10 +30,6 @@ else ifeq ($(MOZ_WIDGET_TOOLKIT),android)
+ CSRCS		= \
+ 		sydney_audio_android.c \
+ 		$(NULL)
+-else ifeq ($(OS_ARCH),Linux)
+-CSRCS		= \
+-		sydney_audio_alsa.c \
+-		$(NULL)
+ endif
+ 
+ ifeq ($(OS_ARCH),WINNT)
+@@ -68,6 +64,18 @@ CSRCS		= \
+ 		$(NULL)
+ endif
+ 
++ifdef MOZ_ALSA
++CSRCS		= \
++		sydney_audio_alsa.c \
++		$(NULL)
++endif
++
++ifdef MOZ_PULSEAUDIO
++CSRCS		= \
++		sydney_audio_pulseaudio.c \
++		$(NULL)
++endif
++
+ ifeq ($(OS_ARCH),WINNT)
+ OS_LIBS += winmm.lib
+ endif
+--- mozilla/toolkit/library/libxul-config.mk~
++++ mozilla/toolkit/library/libxul-config.mk
+@@ -348,10 +348,12 @@ ifdef MOZ_NATIVE_LIBVPX
+ EXTRA_DSO_LDOPTS += $(MOZ_LIBVPX_LIBS)
+ endif
+ 
+-ifdef MOZ_SYDNEYAUDIO
+-ifeq ($(OS_ARCH),Linux)
++ifdef MOZ_ALSA
+ EXTRA_DSO_LDOPTS += $(MOZ_ALSA_LIBS)
+ endif
++
++ifdef MOZ_PULSEAUDIO
++EXTRA_DSO_LDOPTS += $(MOZ_PULSEAUDIO_LIBS)
+ endif
+ 
+ ifdef HAVE_CLOCK_MONOTONIC

Added: head/mail/thunderbird-esr/files/patch-bug685258
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/thunderbird-esr/files/patch-bug685258	Thu Jul 26 21:49:58 2012	(r301582)
@@ -0,0 +1,17 @@
+# HG changeset patch
+# User Oleg Romashin <romaxa@gmail.com>
+# Parent a2291c212856ad27622416e83c8311b6a33b52f1
+Bug 685258 - Pulse audio backend does not check provided playback and crashes r=derf
+
+diff --git a/content/media/nsAudioStream.cpp b/content/media/nsAudioStream.cpp
+--- mozilla/content/media/nsAudioStream.cpp
++++ mozilla/content/media/nsAudioStream.cpp
+@@ -429,7 +429,7 @@ nsresult nsNativeAudioStream::Init(PRInt32 aNumChannels, PRInt32 aRate, SampleFo
+   mFormat = aFormat;
+ 
+   if (sa_stream_create_pcm(reinterpret_cast<sa_stream_t**>(&mAudioHandle),
+-                           NULL,
++                           "Mozilla",
+                            SA_MODE_WRONLY,
+                            SA_PCM_FORMAT_S16_NE,
+                            aRate,

Added: head/mail/thunderbird-esr/files/patch-bug741737
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/thunderbird-esr/files/patch-bug741737	Thu Jul 26 21:49:58 2012	(r301582)
@@ -0,0 +1,90 @@
+changeset:   91900:eee73897136b
+user:        Martin Stransky <stransky@redhat.com>
+date:        Tue Apr 17 19:57:40 2012 -0400
+summary:     Bug 741737 - Configure libvpx with pkgconfig. r=khuey, a=npotb
+
+diff --git a/configure.in b/configure.in
+--- mozilla/configure.in
++++ mozilla/configure.in
+@@ -5588,12 +5588,10 @@ MOZ_ARG_DISABLE_BOOL(webm,
+ 
+ dnl system libvpx Support
+ dnl ========================================================
+-MOZ_ARG_WITH_STRING(system-libvpx,
+-[  --with-system-libvpx=[PFX]
+-                          Use system libvpx [installed at prefix PFX]],
+-    LIBVPX_DIR=$withval)
++MOZ_ARG_WITH_BOOL(system-libvpx,
++[  --with-system-libvpx    Use system libvpx (located with pkgconfig)],
++    MOZ_NATIVE_LIBVPX=1)
+ 
+-MOZ_NATIVE_LIBVPX=
+ MOZ_LIBVPX_INCLUDES=
+ MOZ_LIBVPX_LIBS=
+ 
+@@ -5606,53 +5604,18 @@ if test -n "$MOZ_WEBM"; then
+         AC_DEFINE(MOZ_VP8_ENCODER)
+     fi
+ 
+-    if test -n "$LIBVPX_DIR" -a "$LIBVPX_DIR" != no; then
+-        _SAVE_CFLAGS=$CFLAGS
+-        _SAVE_LDFLAGS=$LDFLAGS
+-        _SAVE_LIBS=$LIBS
+-        if test "${LIBVPX_DIR}" = "yes"; then
+-            LIBVPX_DIR=/usr
+-        fi
+-        CFLAGS="-I${LIBVPX_DIR}/include $CFLAGS"
+-        LDFLAGS="-L${LIBVPX_DIR}/lib $LDFLAGS"
+-        MOZ_NATIVE_LIBVPX_DEC_TEST=
+-        MOZ_CHECK_HEADER(vpx/vpx_decoder.h,
+-            [if test ! -f "${LIBVPX_DIR}/include/vpx/vpx_decoder.h"; then
+-             AC_MSG_ERROR([vpx/vpx_decoder.h found, but is not in ${LIBVPX_DIR}/include])
+-            fi],
+-            AC_MSG_ERROR([--with-system-libvpx requested but vpx/vpx_decoder.h not found]))
+-        AC_CHECK_LIB(vpx, vpx_codec_dec_init_ver,
+-                     [MOZ_NATIVE_LIBVPX_DEC_TEST=1],
+-                     ([--with-system-libvpx requested but symbol vpx_codec_dec_init_ver not found]))
+-        if test -n "$MOZ_NATIVE_LIBVPX_DEC_TEST" ; then
+-            AC_MSG_CHECKING([for libvpx version >= v0.9.7])
+-            dnl We need at least v0.9.7 to fix several crash bugs (for which we
+-            dnl had local patches prior to v0.9.7).
+-            dnl
+-            dnl This is a terrible test for the library version, but we don't
+-            dnl have a good one. There is no version number in a public header,
+-            dnl and testing the headers still doesn't guarantee we link against
+-            dnl the right version. While we could call vpx_codec_version() at
+-            dnl run-time, that would break cross-compiling. There are no
+-            dnl additional exported symbols between the v0.9.7 release and the
+-            dnl v0.9.6 one to check for.
+-            AC_TRY_COMPILE([
+-                #include <vpx/vpx_decoder.h>
+-                #if !defined(VPX_CODEC_USE_INPUT_PARTITION)
+-                    #error "test failed."
+-                #endif
+-                ],
+-                [return 0;],
+-                [AC_MSG_RESULT([yes])
+-                 MOZ_NATIVE_LIBVPX=1
+-                 MOZ_LIBVPX_INCLUDES="-I${LIBVPX_DIR}/include"
+-                 MOZ_LIBVPX_LIBS="-L${LIBVPX_DIR}/lib -lvpx"],
+-                [AC_MSG_RESULT([no])
+-                 AC_MSG_ERROR([--with-system-libvpx requested but it is not v0.9.7 or later])])
+-        fi
+-        CFLAGS=$_SAVE_CFLAGS
+-        LDFLAGS=$_SAVE_LDFLAGS
+-        LIBS=$_SAVE_LIBS
++    if test -n "$MOZ_NATIVE_LIBVPX"; then
++        dnl ============================
++        dnl === libvpx Version check ===
++        dnl ============================
++        dnl Check to see if we have a system libvpx package.
++        PKG_CHECK_MODULES(LIBVPX, vpx >= 0.9.7)
++
++        MOZ_CHECK_HEADER([vpx/vpx_decoder.h], [], 
++         [AC_MSG_ERROR([Couldn't find vpx/vpx_decoder.h which is required for build with system libvpx. Use --without-system-libvpx to build with in-tree libvpx.])])
++
++        AC_CHECK_LIB(vpx, vpx_codec_dec_init_ver, [], 
++         [AC_MSG_ERROR([--with-system-libvpx requested but symbol vpx_codec_dec_init_ver not found])])
+     fi
+ fi
+ 

Added: head/mail/thunderbird-esr/files/patch-bug753046
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/thunderbird-esr/files/patch-bug753046	Thu Jul 26 21:49:58 2012	(r301582)
@@ -0,0 +1,1267 @@
+# Bug 753046 - Add support for DragonFly/NetBSD
+
+$NetBSD: patch-dom_plugins_ipc_PluginModuleChild.cpp,v 1.1 2012/03/06 12:34:09 ryoon Exp $
+
+--- mozilla/dom/plugins/ipc/PluginModuleChild.cpp.orig	2011-12-20 23:28:14.000000000 +0000
++++ mozilla/dom/plugins/ipc/PluginModuleChild.cpp
+@@ -33,6 +33,8 @@
+ #include "nsPluginsDir.h"
+ #include "nsXULAppAPI.h"
+ 
++#include <unistd.h>
++
+ #ifdef MOZ_X11
+ # include "mozilla/X11Util.h"
+ #endif
+@@ -228,7 +228,7 @@ PluginModuleChild::Init(const std::strin
+ 
+     // TODO: use PluginPRLibrary here
+ 
+-#if defined(OS_LINUX)
++#if defined(OS_LINUX) || defined(OS_BSD)
+     mShutdownFunc =
+         (NP_PLUGINSHUTDOWN) PR_FindFunctionSymbol(mLibrary, "NP_Shutdown");
+ 
+@@ -1790,7 +1790,7 @@ PluginModuleChild::AnswerNP_GetEntryPoin
+     PLUGIN_LOG_DEBUG_METHOD;
+     AssertPluginThread();
+ 
+-#if defined(OS_LINUX)
++#if defined(OS_LINUX) || defined(OS_BSD)
+     return true;
+ #elif defined(OS_WIN) || defined(OS_MACOSX)
+     *_retval = mGetEntryPointsFunc(&mFunctions);
+@@ -1823,7 +1823,7 @@ PluginModuleChild::AnswerNP_Initialize(N
+     SendBackUpXResources(FileDescriptor(xSocketFd, false/*don't close*/));
+ #endif
+ 
+-#if defined(OS_LINUX)
++#if defined(OS_LINUX) || defined(OS_BSD)
+     *_retval = mInitializeFunc(&sBrowserFuncs, &mFunctions);
+     return true;
+ #elif defined(OS_WIN) || defined(OS_MACOSX)
+$NetBSD: patch-dom_plugins_ipc_PluginModuleChild.h,v 1.1 2012/03/06 12:34:09 ryoon Exp $
+
+--- mozilla/dom/plugins/ipc/PluginModuleChild.h.orig	2011-12-20 23:28:14.000000000 +0000
++++ mozilla/dom/plugins/ipc/PluginModuleChild.h
+@@ -340,7 +340,7 @@ private:
+ 
+     // we get this from the plugin
+     NP_PLUGINSHUTDOWN mShutdownFunc;
+-#ifdef OS_LINUX
++#if defined(OS_LINUX) || defined(OS_BSD)
+     NP_PLUGINUNIXINIT mInitializeFunc;
+ #elif defined(OS_WIN) || defined(OS_MACOSX)
+     NP_PLUGININIT mInitializeFunc;
+$NetBSD: patch-ipc_chromium_Makefile.in,v 1.1 2012/03/06 12:34:09 ryoon Exp $
+
+--- mozilla/ipc/chromium/Makefile.in.orig	2012-02-16 06:40:33.000000000 +0000
++++ mozilla/ipc/chromium/Makefile.in
+@@ -278,6 +278,34 @@ endif
+ 
+ endif # } OS_LINUX
+ 
++ifdef OS_BSD # {
++
++CPPSRCS += \
++  atomicops_internals_x86_gcc.cc \
++  file_util_bsd.cc \
++  process_util_bsd.cc \
++  time_posix.cc \
++  $(NULL)
++
++ifdef MOZ_ENABLE_GTK2
++CPPSRCS += \
++  message_pump_glib.cc \
++  $(NULL)
++endif
++
++ifdef MOZ_ENABLE_QT
++MOCSRCS = \
++  moc_message_pump_qt.cc \
++  $(NULL)
++
++CPPSRCS += \
++  $(MOCSRCS) \
++  message_pump_qt.cc \
++  $(NULL)
++endif
++
++endif # } OS_BSD
++
+ # libevent
+ 
+ ifndef MOZ_NATIVE_LIBEVENT # {
+$NetBSD: patch-ipc_chromium_chromium-config.mk,v 1.2 2012/03/15 08:30:06 ryoon Exp $
+
+--- mozilla/ipc/chromium/chromium-config.mk.orig	2012-02-16 07:40:33.000000000 +0100
++++ mozilla/ipc/chromium/chromium-config.mk	2012-03-11 11:05:40.397182000 +0100
+@@ -56,17 +56,6 @@
+   -I$(DEPTH)/ipc/ipdl/_ipdlheaders \
+   $(NULL)
+ 
+-ifeq ($(OS_ARCH),Darwin) # {
+-
+-OS_MACOSX = 1
+-OS_POSIX = 1
+-
+-DEFINES += \
+-  -DOS_MACOSX=1 \
+-  -DOS_POSIX=1 \
+-  $(NULL)
+-
+-else # } {
+ ifeq ($(OS_ARCH),WINNT) # {
+ OS_LIBS += $(call EXPAND_LIBNAME,psapi shell32 dbghelp)
+ 
+@@ -93,13 +82,65 @@
+ endif
+ 
+ else # } {
+-
+-OS_LINUX = 1
+ OS_POSIX = 1
++DEFINES += -DOS_POSIX=1
++
++ifeq ($(OS_ARCH),Darwin) # {
++
++OS_MACOSX = 1
++DEFINES += \
++  -DOS_MACOSX=1 \
++  $(NULL)
++
++else # } {
++ifeq ($(OS_ARCH),DragonFly) # {
++
++OS_DRAGONFLY = 1
++OS_BSD = 1
++OS_LIBS += $(call EXPAND_LIBNAME,kvm)
++DEFINES += \
++  -DOS_DRAGONFLY=1 \
++  -DOS_BSD=1 \
++  $(NULL)
++
++else # } {
++ifeq ($(OS_ARCH),FreeBSD) # {
++
++OS_FREEBSD = 1
++OS_BSD = 1
++OS_LIBS += $(call EXPAND_LIBNAME,kvm)
++DEFINES += \
++  -DOS_FREEBSD=1 \
++  -DOS_BSD=1 \
++  $(NULL)
+ 
++else # } {
++ifeq ($(OS_ARCH),NetBSD) # {
++
++OS_NETBSD = 1
++OS_BSD = 1
++OS_LIBS += $(call EXPAND_LIBNAME,kvm)
++DEFINES += \
++  -DOS_NETBSD=1 \
++  -DOS_BSD=1 \
++  $(NULL)
++
++else # } {
++ifeq ($(OS_ARCH),OpenBSD) # {
++
++OS_OPENBSD = 1
++OS_BSD = 1
++OS_LIBS += $(call EXPAND_LIBNAME,kvm)
++DEFINES += \
++  -DOS_OPENBSD=1 \
++  -DOS_BSD=1 \
++  $(NULL)
++
++else # } {
++
++OS_LINUX = 1
+ DEFINES += \
+   -DOS_LINUX=1 \
+-  -DOS_POSIX=1 \
+   $(NULL)
+ 
+ # NB: to stop gcc warnings about exporting template instantiation
+@@ -107,4 +147,8 @@
+ 
+ endif # }
+ endif # }
++endif # }
++endif # }
++endif # }
++endif # }
+ 
+$NetBSD: patch-ipc_chromium_src_base_base__paths.h,v 1.1 2012/03/06 12:34:09 ryoon Exp $
+
+--- mozilla/ipc/chromium/src/base/base_paths.h.orig	2011-12-20 23:28:19.000000000 +0000
++++ mozilla/ipc/chromium/src/base/base_paths.h
+@@ -13,7 +13,7 @@
+ #include "base/base_paths_win.h"
+ #elif defined(OS_MACOSX)
+ #include "base/base_paths_mac.h"
+-#elif defined(OS_LINUX)
++#elif defined(OS_LINUX) || defined(OS_BSD)
+ #include "base/base_paths_linux.h"
+ #endif
+ #include "base/path_service.h"
+$NetBSD: patch-ipc_chromium_src_base_debug__util__posic.cc,v 1.3 2012/04/01 15:18:45 ryoon Exp $
+
+--- mozilla/ipc/chromium/src/base/debug_util_posix.cc.orig	2012-03-13 01:36:53.000000000 +0000
++++ mozilla/ipc/chromium/src/base/debug_util_posix.cc
+@@ -5,7 +5,7 @@
+ #include "build/build_config.h"
+ #include "base/debug_util.h"
+ 
+-#define MOZ_HAVE_EXECINFO_H (!defined(ANDROID) && !defined(__OpenBSD__))
++#define MOZ_HAVE_EXECINFO_H (defined(OS_LINUX) && !defined(ANDROID))
+ 
+ #include <errno.h>
+ #include <fcntl.h>
+@@ -17,8 +17,13 @@
+ #include <unistd.h>
+ #if MOZ_HAVE_EXECINFO_H
+ #include <execinfo.h>
+-#include <sys/sysctl.h>
+ #endif
++#if defined(OS_DRAGONFLY) || defined(OS_FREEBSD)
++#include <sys/user.h>
++#elif defined(OS_FREEBSD)
++#include <sys/proc.h>
++#endif
++#include <sys/sysctl.h>
+ 
+ #include "base/basictypes.h"
+ #include "base/eintr_wrapper.h"
+@@ -32,7 +37,7 @@ bool DebugUtil::SpawnDebuggerOnProcess(u
+   return false;
+ }
+ 
+-#if defined(OS_MACOSX)
++#if defined(OS_MACOSX) || defined(OS_BSD)
+ 
+ // Based on Apple's recommended method as described in
+ // http://developer.apple.com/qa/qa2004/qa1361.html
+@@ -71,7 +76,13 @@ bool DebugUtil::BeingDebugged() {
+ 
+   // This process is being debugged if the P_TRACED flag is set.
+   is_set = true;
++#if defined(OS_DRAGONFLY)
++  being_debugged = (info.kp_flags & P_TRACED) != 0;
++#elif defined(OS_FREEBSD)
++  being_debugged = (info.ki_flag & P_TRACED) != 0;
++#else
+   being_debugged = (info.kp_proc.p_flag & P_TRACED) != 0;
++#endif
+   return being_debugged;
+ }
+ 
+diff --git ipc/chromium/src/base/dir_reader_bsd.h ipc/chromium/src/base/dir_reader_bsd.h
+new file mode 100644
+index 0000000..3fc1a87
+--- /dev/null
++++ mozilla/ipc/chromium/src/base/dir_reader_bsd.h
+@@ -0,0 +1,108 @@
++// Copyright (c) 2010 The Chromium Authors. All rights reserved.
++// Use of this source code is governed by a BSD-style license that can be
++// found in the LICENSE file.
++
++// derived from dir_reader_linux.h
++
++#ifndef BASE_DIR_READER_BSD_H_
++#define BASE_DIR_READER_BSD_H_
++#pragma once
++
++#include <dirent.h>
++#include <errno.h>
++#include <fcntl.h>
++#include <stdint.h>
++#include <unistd.h>
++
++#include "base/logging.h"
++#include "base/eintr_wrapper.h"
++
++// See the comments in dir_reader_posix.h about this.
++
++namespace base {
++
++class DirReaderBSD {
++ public:
++  explicit DirReaderBSD(const char* directory_path)
++#ifdef O_DIRECTORY
++      : fd_(open(directory_path, O_RDONLY | O_DIRECTORY)),
++#else
++      : fd_(open(directory_path, O_RDONLY)),
++#endif
++        offset_(0),
++        size_(0) {
++    memset(buf_, 0, sizeof(buf_));
++  }
++
++  ~DirReaderBSD() {
++    if (fd_ >= 0) {
++      if (HANDLE_EINTR(close(fd_)))
++        DLOG(ERROR) << "Failed to close directory handle";
++    }
++  }
++
++  bool IsValid() const {
++    return fd_ >= 0;
++  }
++
++  // Move to the next entry returning false if the iteration is complete.
++  bool Next() {
++    if (size_) {
++      struct dirent* dirent = reinterpret_cast<struct dirent*>(&buf_[offset_]);
++      offset_ += dirent->d_reclen;
++    }
++
++    if (offset_ != size_)
++      return true;
++
++#ifdef OS_OPENBSD
++    const int r = getdirentries(fd_, buf_, sizeof(buf_), basep_);
++#else
++    const int r = getdents(fd_, buf_, sizeof(buf_));
++#endif
++    if (r == 0)
++      return false;
++    if (r == -1) {
++#ifdef OS_OPENBSD
++      DLOG(ERROR) << "getdirentries returned an error: " << errno;
++#else
++      DLOG(ERROR) << "getdents returned an error: " << errno;
++#endif
++      return false;
++    }
++    size_ = r;
++    offset_ = 0;
++    return true;
++  }
++
++  const char* name() const {
++    if (!size_)
++      return NULL;
++
++    const struct dirent* dirent =
++        reinterpret_cast<const struct dirent*>(&buf_[offset_]);
++    return dirent->d_name;
++  }
++
++  int fd() const {
++    return fd_;
++  }
++
++  static bool IsFallback() {
++    return false;
++  }
++
++ private:
++  const int fd_;
++  char buf_[512];
++#ifdef OS_OPENBSD
++  off_t *basep_;
++#endif
++  size_t offset_, size_;
++
++  DISALLOW_COPY_AND_ASSIGN(DirReaderBSD);
++};
++
++}  // namespace base
++
++#endif // BASE_DIR_READER_BSD_H_
+diff --git ipc/chromium/src/base/dir_reader_posix.h ipc/chromium/src/base/dir_reader_posix.h
+index 9a34492..62b280c 100644
+--- mozilla/ipc/chromium/src/base/dir_reader_posix.h
++++ mozilla/ipc/chromium/src/base/dir_reader_posix.h
+@@ -18,6 +18,8 @@
+ 
+ #if defined(OS_LINUX)
+ #include "base/dir_reader_linux.h"
++#elif defined(OS_BSD)
++#include "base/dir_reader_bsd.h"
+ #else
+ #include "base/dir_reader_fallback.h"
+ #endif
+@@ -26,6 +28,8 @@
+ 
+ #if defined(OS_LINUX)
+ typedef DirReaderLinux DirReaderPosix;
++#elif defined(OS_BSD)
++typedef DirReaderBSD DirReaderPosix;
+ #else
+ typedef DirReaderFallback DirReaderPosix;
+ #endif

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Florian Smeets freebsd_committer 2012-07-27 14:24:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!